Delete a lesson block
DELETE
/apps/{appId}/lessons/{lessonId}/blocks/{blockId}
const url = 'https://api.passion.io/v1/apps/example/lessons/example/blocks/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.passion.io/v1/apps/example/lessons/example/blocks/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appId
required
The id of the App, as Studio shows it.
string
lessonId
required
The id of a lesson, as get_course or create_lesson answers it.
string
blockId
required
The id of a block of the lesson, as get_course answers it.
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
blockId
required
string
lessonId
required
string
kind
required
string
Example
{ "kind": "text"}